org.apache.ode.bpel.compiler

## Class CommonCompilationMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.CommonCompilationMessages

-     public class CommonCompilationMessages
      extends CompilationMessageBundle

  General compilation messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonCompilationMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errAliasUndeclaredMessage(javax.xml.namespace.QName property, java.lang.String path)` Missing message type reference in property alias {0} in namespace {1}.
    `CompilationMessage` | `errAtomicScopeNesting(boolean atomic)`
    `CompilationMessage` | `errBpel11RequiresWsdl()` A WSDL document must be specified for a BPEL4WS 1.1 process.
    `CompilationMessage` | `errBpelParseErr()` Error parsing BPEL process: the BPEL is either malformed or is invalid.
    `CompilationMessage` | `errCantFindXslt(java.lang.String docStrUri)` Could not find the XSLT stylesheet referenced with URI {0}, make sure it has been properly provided to the compiler.
    `CompilationMessage` | `errCompensateNAtoContext()` Compensation is not applicable in this (non-recovery) context.
    `CompilationMessage` | `errCompensateOfInvalidScope(java.lang.String scopeToCompensate)` The scope "{0}" is not available for compensation in this context.
    `CompilationMessage` | `errCompilationErrors(int errorCount, java.lang.String prettyErrors)` Compilation completed with {0} error(s): {1}
    `CompilationMessage` | `errDuplicateLinkSource(java.lang.String linkName)` Duplicate declaration of source for link "{0}".
    `CompilationMessage` | `errDuplicateLinkTarget(java.lang.String linkName)` Duplicate declaration of target for link "{0}".
    `CompilationMessage` | `errDuplicatePartnerLinkDecl(java.lang.String partnerLinkName)` Duplicate declaration of partnerLink "{0}".
    `CompilationMessage` | `errDuplicateUseCorrelationSet(java.lang.String csetName)` Attempt to reference undeclared correlation set "{0}".
    `CompilationMessage` | `errDuplicateVariableDecl(java.lang.String varName)` Duplicate declaration of variable "{0}".
    `CompilationMessage` | `errDuplicateWSDLImport(java.lang.String tns, java.lang.String location)` Attempted to import WSDL for namespace {0} from multiple locations: definitions from {1} will be ignored!
    `CompilationMessage` | `errEmptyCatch()`
    `CompilationMessage` | `errEmptyScope()` Empty scopes are forbidden.
    `CompilationMessage` | `errEmptySequence()`
    `CompilationMessage` | `errInvalidAlarm()` Invalid alarm handler (check for/until/repeatEvery).
    `CompilationMessage` | `errInvalidDeploymentDescriptor(java.lang.String message)` Deployment descriptor is invalid: {0}
    `CompilationMessage` | `errInvalidDocXsltUri(java.lang.String docStrUri)` XSLT stylesheet URI is invalid/malformed: {0}
    `CompilationMessage` | `errInvalidEvent()` Invalid alarm handler (check for/until/repeatEvery).
    `CompilationMessage` | `errInvalidImport(java.lang.String importUri)` The import "{0}" is invalid / malformed.
    `CompilationMessage` | `errInvalidRetryDelayValue(java.lang.String message)` The retryDelay attribute must be a positive integer, found {0}
    `CompilationMessage` | `errInvalidRetryForValue(java.lang.String message)` The retryFor attribute must be a positive integer, found {0}
    `CompilationMessage` | `errLinkCrossesEventHandlerBoundary(java.lang.String linkName)` The link "{0}" crosses an event handler boundary.
    `CompilationMessage` | `errMessageVariableRequired(java.lang.String variableName)` Cannot use non-message variable "{0}" in this context (message variable is required).
    `CompilationMessage` | `errMissingImportLocation()` Missing import location.
    `CompilationMessage` | `errMissingMyRolePortType(javax.xml.namespace.QName portType, java.lang.String myRole, javax.xml.namespace.QName plnkType)`
    `CompilationMessage` | `errMissingPartnerRolePortType(javax.xml.namespace.QName portType, java.lang.String partnerRole, javax.xml.namespace.QName plnkType)`
    `CompilationMessage` | `errMissingQueryExpression()` A required query language expression was not present.
    `CompilationMessage` | `errMustSpecifyExternalVariableId(java.lang.String name)`
    `CompilationMessage` | `errMustSpecifyRelatedVariable(java.lang.String name)`
    `CompilationMessage` | `errNoMyRoleOnReceivePartnerLink(java.lang.String plink)` Partner link {0} used in receive activity doesn't define role myRole.
    `CompilationMessage` | `errNoRootActivity()` Process has no root activity.
    `CompilationMessage` | `errNoWsdlDefinitionForNamespace(java.lang.String namespaceURI)` No WSDL definition for namespace "{0}".
    `CompilationMessage` | `errPartnerLinkDoesNotDeclareMyRole(java.lang.String partnerLinkName)` The partnerLink "{0}" does not define a myRole.
    `CompilationMessage` | `errPartnerLinkDoesNotDeclarePartnerRole(java.lang.String partnerLinkName)` The partnerLink "{0}" does not define a partnerRole.
    `CompilationMessage` | `errPartnerLinkNoPartnerRoleButInitialize(java.lang.String partnerLinkName)` The partnerLink "{0}" does not define a partnerRole but is set to initializePartnerRole=yes.
    `CompilationMessage` | `errPortTypeMismatch(javax.xml.namespace.QName portType, javax.xml.namespace.QName expectedPortType)` The port type "{0}" does not match the expected port type ("{1}").
    `CompilationMessage` | `errProcessNameNotSpecified()`
    `CompilationMessage` | `errProcessNamespaceNotSpecified()`
    `CompilationMessage` | `errPropertyDeclaredWithComplexType(javax.xml.namespace.QName propertyName, javax.xml.namespace.QName complexType)` Attempt to declare property "{0}" with complex type "{1}".
    `CompilationMessage` | `errSchemaError(java.lang.String detailMessage)` Error in schema processing: {0}
    `CompilationMessage` | `errTODO(java.lang.String description)` FEATURE NOT SUPPORTED: {0}
    `CompilationMessage` | `errTwoWayOperationExpected(java.lang.String opname)` Attempt to use one-way operation "{0}" in a context requiring a request-response.
    `CompilationMessage` | `errUndeclaredCorrelationSet(java.lang.String csetName)` Attempt to reference undeclared correlation set "{0}".
    `CompilationMessage` | `errUndeclaredLink(java.lang.String linkName)` Attempt to reference undeclared link "{0}".
    `CompilationMessage` | `errUndeclaredMessage(java.lang.String msgName, java.lang.String namespaceURI)` Attempt to reference undeclared WSDL message "{0}" in namespace {1}.
    `CompilationMessage` | `errUndeclaredMessagePart(java.lang.String varName, javax.xml.namespace.QName messageType, java.lang.String partName)` Attempt to reference undeclared part "{2}" for variable "{0}": the WSDL message type "{1}" does not declare "{2}".
    `CompilationMessage` | `errUndeclaredOperation(javax.xml.namespace.QName portType, java.lang.String operationName)` The operation "{1}" is not declared on portType "{0}".
    `CompilationMessage` | `errUndeclaredPartnerLink(java.lang.String plinkName)` Attempt to reference undeclared partner link "{0}".
    `CompilationMessage` | `errUndeclaredPartnerLinkType(javax.xml.namespace.QName partnerLinkType)` Attempt to reference undeclared partner link type "{0}".
    `CompilationMessage` | `errUndeclaredPortType(javax.xml.namespace.QName portType)` Attempt to reference undeclared portType "{0}".
    `CompilationMessage` | `errUndeclaredProperty(javax.xml.namespace.QName propertyName)` Attempt to reference undeclared property "{0}".
    `CompilationMessage` | `errUndeclaredPropertyAlias(java.lang.String messageType, javax.xml.namespace.QName propertyName)` The property "{1}" does not have an alias for message type "{0}".
    `CompilationMessage` | `errUndeclaredRole(java.lang.String roleName, javax.xml.namespace.QName partnerLinkTypeName)` Attempt to reference undeclared role "{0}" for partnerLink "{1}".
    `CompilationMessage` | `errUndeclaredVariable(java.lang.String varName)` Attempt to reference undeclared variable "{0}".
    `CompilationMessage` | `errUndeclaredXsdType(javax.xml.namespace.QName typeName)` Attempt to reference undeclared XSD type "{0}".
    `CompilationMessage` | `errUnknownActivity(java.lang.String className)` The BOM activity class "{0}" is unrecoginized.
    `CompilationMessage` | `errUnknownExpressionLanguage(java.lang.String expressionLanguage)` The expression language "{0}" is unrecognized.
    `CompilationMessage` | `errUnknownImportType(java.lang.String importType)` The import type "{0}" is unknown.
    `CompilationMessage` | `errUnknownPartInAlias(java.lang.String part, java.lang.String message)` The part {0} declared in property alias for messageType {1} couldn't be found.
    `CompilationMessage` | `errUnrecognizedBpelVersion()` Unrecognized BPEL version!
    `CompilationMessage` | `errUnrecognizedVariableDeclaration(java.lang.String varName)` The declaration of variable "{0}" was not recognized.
    `CompilationMessage` | `errUnspecifiedImportType()` Must specify an import type.
    `CompilationMessage` | `errUseOfUninitializedCorrelationSet(java.lang.String correlationSet)` Attempt to use correlation set "{0}" before it has been initialized.
    `CompilationMessage` | `errVariableDeclInvalid(java.lang.String variable)`
    `CompilationMessage` | `errVariableDeclMissingType(java.lang.String varName)` Declaration of variable "{0}" does not specify the required type (either MessageType or ElementType).
    `CompilationMessage` | `errVariableDeclMutipleTypes(java.lang.String varName)` Declaration of variable "{0}" can specify either MessageType or ElementType, but not both.
    `CompilationMessage` | `errVariableTypeMismatch(java.lang.String varName, javax.xml.namespace.QName expectedType, javax.xml.namespace.QName actualType)` The variable "{0}" must be of type "{1}" to be used in this context; its actual type is "{1}".
    `CompilationMessage` | `errWsdlImportFailed(java.lang.String wsdlUri, java.lang.String faultCode)` Unable to import WSDL at URI "{0}"; WSDL fault code "{1}".
    `CompilationMessage` | `errWsdlImportNotFound(java.lang.String wsdlUri, java.lang.String location)` The WSDL for namespace "{0}" could not be found in "{1}".
    `CompilationMessage` | `errWsdlParseError(java.lang.String faultCode, java.lang.String location, java.lang.String message)` {1}: [{0}] {2}
    `CompilationMessage` | `infCompilingProcess()` Compiling BPEL process.
    `CompilationMessage` | `warnWsdlUriIgnoredFor20Process()` Process WSDL URI is ignored for WS-BPEL 2.0 processes.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonCompilationMessages

          public CommonCompilationMessages()

  - ### Method Detail

    - #### infCompilingProcess

          public CompilationMessage infCompilingProcess()

      Compiling BPEL process.

    - #### errBpelParseErr

          public CompilationMessage errBpelParseErr()

      Error parsing BPEL process: the BPEL is either malformed or is invalid.

    - #### errCompilationErrors

          public CompilationMessage errCompilationErrors(int errorCount,
                                                         java.lang.String prettyErrors)

      Compilation completed with {0} error(s): {1}

    - #### errUndeclaredLink

          public CompilationMessage errUndeclaredLink(java.lang.String linkName)

      Attempt to reference undeclared link "{0}".

    - #### errInvalidImport

          public CompilationMessage errInvalidImport(java.lang.String importUri)

      The import "{0}" is invalid / malformed.

    - #### errWsdlImportFailed

          public CompilationMessage errWsdlImportFailed(java.lang.String wsdlUri,
                                                        java.lang.String faultCode)

      Unable to import WSDL at URI "{0}"; WSDL fault code "{1}".

    - #### errWsdlImportNotFound

          public CompilationMessage errWsdlImportNotFound(java.lang.String wsdlUri,
                                                          java.lang.String location)

      The WSDL for namespace "{0}" could not be found in "{1}".

    - #### errWsdlParseError

          public CompilationMessage errWsdlParseError(java.lang.String faultCode,
                                                      java.lang.String location,
                                                      java.lang.String message)

      {1}: [{0}] {2}

    - #### errUnknownImportType

          public CompilationMessage errUnknownImportType(java.lang.String importType)

      The import type "{0}" is unknown.

    - #### errUnspecifiedImportType

          public CompilationMessage errUnspecifiedImportType()

      Must specify an import type.

    - #### errMissingImportLocation

          public CompilationMessage errMissingImportLocation()

      Missing import location.

    - #### errUndeclaredProperty

          public CompilationMessage errUndeclaredProperty(javax.xml.namespace.QName propertyName)

      Attempt to reference undeclared property "{0}".

    - #### errUndeclaredVariable

          public CompilationMessage errUndeclaredVariable(java.lang.String varName)

      Attempt to reference undeclared variable "{0}".

    - #### errUndeclaredCorrelationSet

          public CompilationMessage errUndeclaredCorrelationSet(java.lang.String csetName)

      Attempt to reference undeclared correlation set "{0}".

    - #### errDuplicateUseCorrelationSet

          public CompilationMessage errDuplicateUseCorrelationSet(java.lang.String csetName)

      Attempt to reference undeclared correlation set "{0}".

    - #### errMessageVariableRequired

          public CompilationMessage errMessageVariableRequired(java.lang.String variableName)

      Cannot use non-message variable "{0}" in this context (message variable is required).

    - #### errPropertyDeclaredWithComplexType

          public CompilationMessage errPropertyDeclaredWithComplexType(javax.xml.namespace.QName propertyName,
                                                                       javax.xml.namespace.QName complexType)

      Attempt to declare property "{0}" with complex type "{1}".

    - #### errDuplicateLinkTarget

          public CompilationMessage errDuplicateLinkTarget(java.lang.String linkName)

      Duplicate declaration of target for link "{0}".

    - #### errDuplicateLinkSource

          public CompilationMessage errDuplicateLinkSource(java.lang.String linkName)

      Duplicate declaration of source for link "{0}".

    - #### errDuplicatePartnerLinkDecl

          public CompilationMessage errDuplicatePartnerLinkDecl(java.lang.String partnerLinkName)

      Duplicate declaration of partnerLink "{0}".

    - #### errVariableDeclMissingType

          public CompilationMessage errVariableDeclMissingType(java.lang.String varName)

      Declaration of variable "{0}" does not specify the required type (either MessageType or ElementType).

    - #### errVariableDeclInvalid

          public CompilationMessage errVariableDeclInvalid(java.lang.String variable)

    - #### errVariableDeclMutipleTypes

          public CompilationMessage errVariableDeclMutipleTypes(java.lang.String varName)

      Declaration of variable "{0}" can specify either MessageType or ElementType, but not both.

    - #### errDuplicateVariableDecl

          public CompilationMessage errDuplicateVariableDecl(java.lang.String varName)

      Duplicate declaration of variable "{0}".

    - #### errUnknownActivity

          public CompilationMessage errUnknownActivity(java.lang.String className)

      The BOM activity class "{0}" is unrecoginized.

    - #### errNoRootActivity

          public CompilationMessage errNoRootActivity()

      Process has no root activity.

    - #### errUnknownExpressionLanguage

          public CompilationMessage errUnknownExpressionLanguage(java.lang.String expressionLanguage)

      The expression language "{0}" is unrecognized.

    - #### errNoWsdlDefinitionForNamespace

          public CompilationMessage errNoWsdlDefinitionForNamespace(java.lang.String namespaceURI)

      No WSDL definition for namespace "{0}".

    - #### errUndeclaredMessage

          public CompilationMessage errUndeclaredMessage(java.lang.String msgName,
                                                         java.lang.String namespaceURI)

      Attempt to reference undeclared WSDL message "{0}" in namespace {1}.

    - #### errAliasUndeclaredMessage

          public CompilationMessage errAliasUndeclaredMessage(javax.xml.namespace.QName property,
                                                              java.lang.String path)

      Missing message type reference in property alias {0} in namespace {1}.

    - #### errUndeclaredPropertyAlias

          public CompilationMessage errUndeclaredPropertyAlias(java.lang.String messageType,
                                                               javax.xml.namespace.QName propertyName)

      The property "{1}" does not have an alias for message type "{0}".

    - #### errUndeclaredPartnerLink

          public CompilationMessage errUndeclaredPartnerLink(java.lang.String plinkName)

      Attempt to reference undeclared partner link "{0}".

    - #### errUndeclaredPartnerLinkType

          public CompilationMessage errUndeclaredPartnerLinkType(javax.xml.namespace.QName partnerLinkType)

      Attempt to reference undeclared partner link type "{0}".

    - #### errUndeclaredRole

          public CompilationMessage errUndeclaredRole(java.lang.String roleName,
                                                      javax.xml.namespace.QName partnerLinkTypeName)

      Attempt to reference undeclared role "{0}" for partnerLink "{1}".

    - #### errUndeclaredPortType

          public CompilationMessage errUndeclaredPortType(javax.xml.namespace.QName portType)

      Attempt to reference undeclared portType "{0}".

    - #### errUndeclaredMessagePart

          public CompilationMessage errUndeclaredMessagePart(java.lang.String varName,
                                                             javax.xml.namespace.QName messageType,
                                                             java.lang.String partName)

      Attempt to reference undeclared part "{2}" for variable "{0}": the WSDL message type "{1}" does not declare "{2}".

    - #### errPartnerLinkDoesNotDeclareMyRole

          public CompilationMessage errPartnerLinkDoesNotDeclareMyRole(java.lang.String partnerLinkName)

      The partnerLink "{0}" does not define a myRole.

    - #### errPartnerLinkDoesNotDeclarePartnerRole

          public CompilationMessage errPartnerLinkDoesNotDeclarePartnerRole(java.lang.String partnerLinkName)

      The partnerLink "{0}" does not define a partnerRole.

    - #### errPartnerLinkNoPartnerRoleButInitialize

          public CompilationMessage errPartnerLinkNoPartnerRoleButInitialize(java.lang.String partnerLinkName)

      The partnerLink "{0}" does not define a partnerRole but is set to initializePartnerRole=yes.

    - #### errUndeclaredOperation

          public CompilationMessage errUndeclaredOperation(javax.xml.namespace.QName portType,
                                                           java.lang.String operationName)

      The operation "{1}" is not declared on portType "{0}".

    - #### errVariableTypeMismatch

          public CompilationMessage errVariableTypeMismatch(java.lang.String varName,
                                                            javax.xml.namespace.QName expectedType,
                                                            javax.xml.namespace.QName actualType)

      The variable "{0}" must be of type "{1}" to be used in this context; its actual type is "{1}".

    - #### errPortTypeMismatch

          public CompilationMessage errPortTypeMismatch(javax.xml.namespace.QName portType,
                                                        javax.xml.namespace.QName expectedPortType)

      The port type "{0}" does not match the expected port type ("{1}").

    - #### errUseOfUninitializedCorrelationSet

          public CompilationMessage errUseOfUninitializedCorrelationSet(java.lang.String correlationSet)

      Attempt to use correlation set "{0}" before it has been initialized.

    - #### errTwoWayOperationExpected

          public CompilationMessage errTwoWayOperationExpected(java.lang.String opname)

      Attempt to use one-way operation "{0}" in a context requiring a request-response.

    - #### errMissingQueryExpression

          public CompilationMessage errMissingQueryExpression()

      A required query language expression was not present.

    - #### errCompensateNAtoContext

          public CompilationMessage errCompensateNAtoContext()

      Compensation is not applicable in this (non-recovery) context.

    - #### errCompensateOfInvalidScope

          public CompilationMessage errCompensateOfInvalidScope(java.lang.String scopeToCompensate)

      The scope "{0}" is not available for compensation in this context.

    - #### errUnrecognizedBpelVersion

          public CompilationMessage errUnrecognizedBpelVersion()

      Unrecognized BPEL version!

    - #### errUndeclaredXsdType

          public CompilationMessage errUndeclaredXsdType(javax.xml.namespace.QName typeName)

      Attempt to reference undeclared XSD type "{0}".

    - #### errUnrecognizedVariableDeclaration

          public CompilationMessage errUnrecognizedVariableDeclaration(java.lang.String varName)

      The declaration of variable "{0}" was not recognized.

    - #### errTODO

          public CompilationMessage errTODO(java.lang.String description)

      FEATURE NOT SUPPORTED: {0}

    - #### errBpel11RequiresWsdl

          public CompilationMessage errBpel11RequiresWsdl()

      A WSDL document must be specified for a BPEL4WS 1.1 process.

    - #### errLinkCrossesEventHandlerBoundary

          public CompilationMessage errLinkCrossesEventHandlerBoundary(java.lang.String linkName)

      The link "{0}" crosses an event handler boundary.

    - #### errInvalidAlarm

          public CompilationMessage errInvalidAlarm()

      Invalid alarm handler (check for/until/repeatEvery).

    - #### errInvalidEvent

          public CompilationMessage errInvalidEvent()

      Invalid alarm handler (check for/until/repeatEvery).

    - #### warnWsdlUriIgnoredFor20Process

          public CompilationMessage warnWsdlUriIgnoredFor20Process()

      Process WSDL URI is ignored for WS-BPEL 2.0 processes.

    - #### errDuplicateWSDLImport

          public CompilationMessage errDuplicateWSDLImport(java.lang.String tns,
                                                           java.lang.String location)

      Attempted to import WSDL for namespace {0} from multiple locations: definitions from {1} will be ignored!

    - #### errSchemaError

          public CompilationMessage errSchemaError(java.lang.String detailMessage)

      Error in schema processing: {0}

    - #### errInvalidDocXsltUri

          public CompilationMessage errInvalidDocXsltUri(java.lang.String docStrUri)

      XSLT stylesheet URI is invalid/malformed: {0}

    - #### errCantFindXslt

          public CompilationMessage errCantFindXslt(java.lang.String docStrUri)

      Could not find the XSLT stylesheet referenced with URI {0}, make sure it has been properly provided to the compiler.

    - #### errNoMyRoleOnReceivePartnerLink

          public CompilationMessage errNoMyRoleOnReceivePartnerLink(java.lang.String plink)

      Partner link {0} used in receive activity doesn't define role myRole.

    - #### errInvalidDeploymentDescriptor

          public CompilationMessage errInvalidDeploymentDescriptor(java.lang.String message)

      Deployment descriptor is invalid: {0}

    - #### errInvalidRetryForValue

          public CompilationMessage errInvalidRetryForValue(java.lang.String message)

      The retryFor attribute must be a positive integer, found {0}

    - #### errInvalidRetryDelayValue

          public CompilationMessage errInvalidRetryDelayValue(java.lang.String message)

      The retryDelay attribute must be a positive integer, found {0}

    - #### errAtomicScopeNesting

          public CompilationMessage errAtomicScopeNesting(boolean atomic)

    - #### errProcessNameNotSpecified

          public CompilationMessage errProcessNameNotSpecified()

    - #### errProcessNamespaceNotSpecified

          public CompilationMessage errProcessNamespaceNotSpecified()

    - #### errMissingMyRolePortType

          public CompilationMessage errMissingMyRolePortType(javax.xml.namespace.QName portType,
                                                             java.lang.String myRole,
                                                             javax.xml.namespace.QName plnkType)

    - #### errMissingPartnerRolePortType

          public CompilationMessage errMissingPartnerRolePortType(javax.xml.namespace.QName portType,
                                                                  java.lang.String partnerRole,
                                                                  javax.xml.namespace.QName plnkType)

    - #### errUnknownPartInAlias

          public CompilationMessage errUnknownPartInAlias(java.lang.String part,
                                                          java.lang.String message)

      The part {0} declared in property alias for messageType {1} couldn't be found.

    - #### errEmptyScope

          public CompilationMessage errEmptyScope()

      Empty scopes are forbidden.

    - #### errEmptyCatch

          public CompilationMessage errEmptyCatch()

    - #### errMustSpecifyRelatedVariable

          public CompilationMessage errMustSpecifyRelatedVariable(java.lang.String name)

    - #### errMustSpecifyExternalVariableId

          public CompilationMessage errMustSpecifyExternalVariableId(java.lang.String name)

    - #### errEmptySequence

          public CompilationMessage errEmptySequence()